
function setup()
    local systems
    if true then --flip to false for normal Game of Life
        systems = { NestingGameOfLife() }
    else
        systems = { ConwaysGameOfLife() }
    end
    local cellAuto = CellularAutomata(systems)
    updater = Updater(cellAuto)
    visualizer = Visualizer(cellAuto)
end

function draw()
    background(37, 49, 72)
    updater:update()
    visualizer:draw()
end
